package cz.muni.fi.pb162;


/**
 * Class representing a person
 *
 * @author Jakub Cechacek (373775)
 */
public class Person {

    private String name;
    private int age;

    /**
     * Constructor allowing to create a person of specified name and age
     *
     * @param name Name of the person
     * @param age  Age of the person
     */
    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }

    /**
     * Greetings from this person
     */
    public void sayHello() {
        System.out.println("Main from " + name);
        System.out.println("I am " + age + " old!");
    }

    /**
     * Getter for name
     *
     * @return Name of the person
     */
    public String getName() {
        return name;
    }

    /** Getter for age
     *
     * @return Age of the person
     */
    public int getAge() {
        return age;
    }

    /**
     * Setter for age
     *
     * @param age Age of the person
     */
    public void setAge(int age) {
        if (age > this.age) {
            this.age = age;
        } else {
            System.err.println("Can't get any younger");
        }
    }

}
